cURL
curl --request POST "https://rxresu.me/api/openapi/applications/<applicationId>/packet-review" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"targetUrl": "<string>",
"includeContact": true,
"answerIds": [
"<string>"
]
}'import requests
url = "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review"
payload = {
"targetUrl": "<string>",
"includeContact": True,
"answerIds": ["<string>"],
"letterWords": {
"locale": "<string>",
"greeting": "<string>",
"teamGreeting": "<string>",
"hiringTeam": "<string>",
"signOff": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: '<string>',
includeContact: true,
answerIds: ['<string>'],
letterWords: {
locale: '<string>',
greeting: '<string>',
teamGreeting: '<string>',
hiringTeam: '<string>',
signOff: '<string>'
}
})
};
fetch('https://rxresu.me/api/openapi/applications/{applicationId}/packet-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetUrl' => '<string>',
'includeContact' => true,
'answerIds' => [
'<string>'
],
'letterWords' => [
'locale' => '<string>',
'greeting' => '<string>',
'teamGreeting' => '<string>',
'hiringTeam' => '<string>',
'signOff' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review"
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/applications/{applicationId}/packet-review")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{applicationId}/packet-review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"selection": {
"applicationId": "<string>",
"targetUrl": "<string>",
"includeContact": true,
"answerIds": [
"<string>"
],
"letterWords": {
"locale": "<string>",
"greeting": "<string>",
"teamGreeting": "<string>",
"hiringTeam": "<string>",
"signOff": "<string>"
}
},
"fingerprint": "<string>",
"application": {
"id": "<string>",
"company": "<string>",
"role": "<string>"
},
"contact": {
"givenName": "<string>",
"familyName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"profileRevision": "<string>",
"profileReviewedAt": "<string>",
"experience": "<string>",
"letterText": "<string>",
"answers": [
{
"id": "<string>",
"revision": 0,
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "application",
"reviewedAt": "2023-11-07T05:31:56Z"
}
],
"documents": [
{
"kind": "resume",
"id": "<string>",
"name": "<string>",
"revision": "<string>"
}
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Applications
Review an owned application packet without AI or submission
POST
/
applications
/
{applicationId}
/
packet-review
cURL
curl --request POST "https://rxresu.me/api/openapi/applications/<applicationId>/packet-review" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"targetUrl": "<string>",
"includeContact": true,
"answerIds": [
"<string>"
]
}'import requests
url = "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review"
payload = {
"targetUrl": "<string>",
"includeContact": True,
"answerIds": ["<string>"],
"letterWords": {
"locale": "<string>",
"greeting": "<string>",
"teamGreeting": "<string>",
"hiringTeam": "<string>",
"signOff": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: '<string>',
includeContact: true,
answerIds: ['<string>'],
letterWords: {
locale: '<string>',
greeting: '<string>',
teamGreeting: '<string>',
hiringTeam: '<string>',
signOff: '<string>'
}
})
};
fetch('https://rxresu.me/api/openapi/applications/{applicationId}/packet-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetUrl' => '<string>',
'includeContact' => true,
'answerIds' => [
'<string>'
],
'letterWords' => [
'locale' => '<string>',
'greeting' => '<string>',
'teamGreeting' => '<string>',
'hiringTeam' => '<string>',
'signOff' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{applicationId}/packet-review"
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/applications/{applicationId}/packet-review")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{applicationId}/packet-review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"includeContact\": true,\n \"answerIds\": [\n \"<string>\"\n ],\n \"letterWords\": {\n \"locale\": \"<string>\",\n \"greeting\": \"<string>\",\n \"teamGreeting\": \"<string>\",\n \"hiringTeam\": \"<string>\",\n \"signOff\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"selection": {
"applicationId": "<string>",
"targetUrl": "<string>",
"includeContact": true,
"answerIds": [
"<string>"
],
"letterWords": {
"locale": "<string>",
"greeting": "<string>",
"teamGreeting": "<string>",
"hiringTeam": "<string>",
"signOff": "<string>"
}
},
"fingerprint": "<string>",
"application": {
"id": "<string>",
"company": "<string>",
"role": "<string>"
},
"contact": {
"givenName": "<string>",
"familyName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"profileRevision": "<string>",
"profileReviewedAt": "<string>",
"experience": "<string>",
"letterText": "<string>",
"answers": [
{
"id": "<string>",
"revision": 0,
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "application",
"reviewedAt": "2023-11-07T05:31:56Z"
}
],
"documents": [
{
"kind": "resume",
"id": "<string>",
"name": "<string>",
"revision": "<string>"
}
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json
Response
OK